package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.ProductInformationVO;
import lombok.Data;

import java.util.Date;
@Data
@TableName("product_information")
public class ProductInformationDO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("register_number")
    private String registerNumber;

    @TableField("product_name")
    private String productName;

    @TableField("inception_date")
    private String inceptionDate;

    @TableField("liquidate_date")
    private String liquidateDate;

    @TableField("ms_label")
    private String msLabel;

    @TableField("is_struct")
    private String isStruct;

    @TableField("first_strategy")
    private String firstStrategy;

    @TableField("second_strategy")
    private String secondStrategy;

    @TableField("third_strategy")
    private String thirdStrategy;

    @TableField("investment_manager")
    private String investmentManager;

    @TableField("start_date")
    private String startDate;

    @TableField("nav_frequency")
    private String navFrequency;

    @TableField("asset_frequency")
    private String assetFrequency;

    @TableField("report_frequency")
    private String reportFrequency;

    @TableField("investment_strategy_desc")
    private String investmentStrategyDesc;

    @TableField("remark")
    private String remark;

    @TableField("isvalid")
    private Integer isvalid;

    @TableField("createtime")
    private Date createtime;

    @TableField("updatetime")
    private Date updatetime;

    @TableField("creatorid")
    private Integer creatorid;

    @TableField("updaterid")
    private Integer updaterid;


    public ProductInformationVO toVO() {
        ProductInformationVO vo = new ProductInformationVO();
        vo.setId(id);
        vo.setRegisterNumber(registerNumber);
        vo.setProductName(productName);
        vo.setInceptionDate(inceptionDate);
        vo.setLiquidateDate(liquidateDate);
        vo.setMsLabel(msLabel);
        vo.setIsStruct(isStruct);
        vo.setFirstStrategy(firstStrategy);
        vo.setSecondStrategy(secondStrategy);
        vo.setThirdStrategy(thirdStrategy);
        vo.setInvestmentManager(investmentManager);
        vo.setStartDate(startDate);
        vo.setNavFrequency(navFrequency);
        vo.setAssetFrequency(assetFrequency);
        vo.setReportFrequency(reportFrequency);
        vo.setIsvalid(isvalid);
        vo.setCreatetime(DateUtils.format(createtime, "yyyy-MM-dd HH:mm:ss"));
        vo.setUpdatetime(DateUtils.format(updatetime, "yyyy-MM-dd HH:mm:ss"));
        vo.setInvestmentStrategyDesc(investmentStrategyDesc);
        vo.setInvestmentManager(investmentManager);
        vo.setRemark(this.remark);
        return vo;
    }
}